## korundum 4.13.0

=== CMakeLists.txt ===
project(Korundum)

set(COMPILE_RUBY FALSE CACHE INTERNAL "")

find_package(Ruby REQUIRED)
find_package(KDE4 REQUIRED)
find_package(QtRuby4 REQUIRED)
find_package(Smoke REQUIRED 
    COMPONENTS KdeCore
        KdeUi 
        KFile 
        KHtml 
        Kio 
        KNewStuff2
        KNewStuff3
        KParts
        KTextEditor
        KUtils
        Phonon
        Plasma
        QtCore
        Solid )
find_package(Smoke COMPONENTS Akonadi Okular Kate Soprano SopranoClient SopranoServer Nepomuk )
include(KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${SMOKE_INCLUDE_DIR} ${QTRUBY_INCLUDE_DIR} ${SMOKE_QTCORE_INCLUDE_DIR} ${SMOKE_KDECORE_INCLUDE_DIR} )

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${SMOKE_CMAKE_MODULE_DIR})
include(MacroOptionalFindPackage)
include(MacroOptionalAddBindings)

if (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)
    set(COMPILE_RUBY TRUE CACHE INTERNAL "")
endif (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)

macro_log_feature(COMPILE_RUBY "Ruby" "Ruby interpreter and libraries" "http://www.ruby-lang.org" FALSE "" "Needed to compile the Ruby bindings")

if (NOT COMPILE_RUBY)
    return()
endif (NOT COMPILE_RUBY)

SET(CUSTOM_RUBY_SITE_ARCH_DIR ${RUBY_SITEARCH_DIR} CACHE DIR "custom installation directory for ruby binary extension" )
SET(CUSTOM_RUBY_SITE_LIB_DIR ${RUBY_SITELIB_DIR} CACHE DIR "custom installation directory for ruby extension" )

# compute an overall version number which can be compared at once
MATH(EXPR RUBY_VERSION_NUMBER "${RUBY_VERSION_MAJOR}*10000 + ${RUBY_VERSION_MINOR}*100 + ${RUBY_VERSION_PATCH}")

add_subdirectory( examples )
add_subdirectory( src )
add_subdirectory( tools )
add_subdirectory( modules )

=== modules/kate/CMakeLists.txt ===
add_subdirectory( lib )

include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src ${KATE_INCLUDE_DIR})
INCLUDE_DIRECTORIES (${QT_INCLUDES})

set(kate_LIB_SRCS
   kate.cpp
   katehandlers.cpp )

kde4_add_library(kate SHARED ${kate_LIB_SRCS})

target_link_libraries(kate
    ${QTRUBY4SHARED_LIBRARY}
    ${SMOKE_KATE_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${RUBY_LIBRARY}
    ${KATEINTERFACES_LIBRARY}
)
set_target_properties(kate PROPERTIES PREFIX "")
install(TARGETS kate DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/kate.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/kate.bundle\" )" )
endif (Q_WS_MAC)

=== modules/ktexteditor/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES})

set(rubyktexteditor_LIBRARY_SRC ktexteditor.cpp ktexteditorhandlers.cpp)

add_library(rubyktexteditor MODULE ${rubyktexteditor_LIBRARY_SRC})
target_link_libraries(rubyktexteditor
    ${SMOKE_BASE_LIBRARY}
    ${SMOKE_KTEXTEDITOR_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QTRUBY4SHARED_LIBRARY}
    ${RUBY_LIBRARY})
set_target_properties(rubyktexteditor PROPERTIES PREFIX "" OUTPUT_NAME ktexteditor)
install(TARGETS rubyktexteditor DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES ktexteditor.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/ktexteditor)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/ktexteditor.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/ktexteditor.bundle\" )" )
endif (Q_WS_MAC)

=== modules/plasma/CMakeLists.txt ===
add_subdirectory( examples )
add_subdirectory( src )

=== modules/solid/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES} ${KDE4_INCLUDE_DIR})

set(rubysolid_LIBRARY_SRC solid.cpp solidhandlers.cpp)

add_library(rubysolid MODULE ${rubysolid_LIBRARY_SRC})
target_link_libraries(rubysolid
    ${KDE4_SOLID_LIBS}
    ${SMOKE_BASE_LIBRARY}
    ${SMOKE_SOLID_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QTRUBY4SHARED_LIBRARY}
    ${RUBY_LIBRARY}
)
set_target_properties(rubysolid PROPERTIES PREFIX "" OUTPUT_NAME solid)
install(TARGETS rubysolid DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES solid.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/solid)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/solid.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/solid.bundle\" )" )
endif (Q_WS_MAC)

=== modules/kate/lib/KDE/CMakeLists.txt ===
install( FILES kate.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/KDE )

## korundum 4.7.1

=== debian/changelog ===
korundum (4:4.7.1-1) unstable; urgency=low

  * Initial release, split from the kdebindings source:
    - fixes the uninstallability of the korundum components of kdebindings
      (Closes: #640727, #642243)

  [ David Palacio ]
  * Follow package naming guidelines for Ruby.
  * Update control:
    - add ruby-kde4-dbg
    - update Uploaders
    - add inter-module dependencies
  * Switch to dh7:
    - clean rules
    - pass --list-missing to dh_install
  * Adapt watch file to the new source name.
  * Adapt Vcs fields.
  * Switch copyright to the DEP-5 format, revision 174.
  * Add do_not_install_examples.diff patch to make cmake not install the
    examples.

  [ Pino Toscano ]
  * Update control:
    - ruby-kde4-dbg: make it break/replace kdebindings-dbg
    - add ${misc:Depends} to the packages lacking it
    - improve descriptions
    - require smoke-dev-tools, libsmokeqt4-dev, libsmokekde-dev, and
      libqtruby4shared-dev >= 4.7.1
    - tighten the dependencies of the kde ruby-* modules wrt ruby-kde4
    - manually export CXXFLAGS and LDFLAGS from dpkg-buildflags now,
      as dpkg-buildpackage does not do that anymore
  * Update the patches:
    - strip sequence numbers from the filenames
    - refresh
    - add DEP-3 headers for patches which didn't have them
  * Update rules:
    - do not compress .rb, .ui, and .rc files (found in the examples)
  * Install the examples for ruby-akonadi, ruby-plasma, and ruby-soprano.
  * Update copyright, adding myself to it.

  [ Modestas Vainius ]
  * Remove myself from Uploaders.

  [ Felix Geyer ]
  * Fix lintian warning nested-examples-directory.
  * Add license of tools/rbkconfig_compiler/kcfg.xsd to debian/copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 02 Oct 2011 17:50:02 +0200

=== debian/control ===
Source: korundum
Section: ruby
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 7.4.10), cmake, ruby1.8, ruby1.8-dev,
 smoke-dev-tools (>= 4:4.7.1), libsmokeqt4-dev (>= 4:4.7.1),
 libsmokekde-dev (>= 4:4.7.1), libqtruby4shared-dev (>= 4:4.7.1),
 kdelibs5-dev, kdepimlibs5-dev, libakonadi-dev, okular-dev, libsoprano-dev
Standards-Version: 3.9.2
Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/korundum.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary

Package: korundum
Architecture: all
Depends: ruby-kde4, ruby-akonadi, ruby-okular, ruby-plasma, ruby-soprano,
 ${misc:Depends}
Provides: korundum4
Replaces: korundum4 (<< 4:4.6.80)
Breaks: korundum4 (<< 4:4.6.80)
Description: Ruby bindings for the KDE Development Platform
 This virtual package installs the complete suite of KDE bindings for the Ruby
 language including KHTML, Okular, Nepomuk, and Solid bindings.
 .
 This is part of the Korundum module.

Package: ruby-kde4
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Provides: libkde4-ruby, libkde4-ruby1.8
Replaces: libkde4-ruby (<< 4:4.6.80), libkde4-ruby1.8 (<< 4:4.6.80)
Breaks: libkde4-ruby (<< 4:4.6.80), libkde4-ruby1.8 (<< 4:4.6.80)
Description: KDE bindings for the Ruby language
 This package contains the Ruby bindings for KDE libraries, including:
  * KHTML
  * KIO
  * KTextEditor
  * Nepomuk
  * Solid
 .
 This is part of the Korundum module.

Package: ruby-kde4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ${misc:Depends}
Recommends: ruby-qt4-dbg
Replaces: kdebindings-dbg
Breaks: kdebindings-dbg
Description: Debug symbols for the KDE ruby bindings
 This package contains debugging files used to investigate problems with the
 KDE Ruby bindings.
 .
 This is part of the Korundum module.

Package: ruby-akonadi
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libakonadi-ruby, libakonadi-ruby1.8
Replaces: libakonadi-ruby (<< 4:4.6.80), libakonadi-ruby1.8 (<< 4:4.6.80)
Breaks: libakonadi-ruby (<< 4:4.6.80), libakonadi-ruby1.8 (<< 4:4.6.80)
Description: Akonadi Ruby bindings
 This package allows you to create applications that use the Akonadi PIM
 storage service in the Ruby language.
 .
 This is part of the Korundum module.

Package: ruby-okular
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libokular-ruby, libokular-ruby1.8
Replaces: libokular-ruby (<< 4:4.6.80), libokular-ruby1.8 (<< 4:4.6.80)
Breaks: libokular-ruby (<< 4:4.6.80), libokular-ruby1.8 (<< 4:4.6.80)
Description: Okular Ruby bindings
 This package allows you to create extensions for the Okular document reader.
 .
 This is part of the Korundum module.

Package: ruby-plasma
Architecture: any
Depends: ruby-kde4 (= ${binary:Version}), ruby-qt4, ruby-qt4-webkit, ${shlibs:Depends}, ${misc:Depends}
Provides: libplasma-ruby, libplasma-ruby1.8
Replaces: libplasma-ruby (<< 4:4.6.80), libplasma-ruby1.8 (<< 4:4.6.80)
Breaks: libplasma-ruby (<< 4:4.6.80), libplasma-ruby1.8 (<< 4:4.6.80)
Description: Plasma Ruby bindings
 This package allows you to create desktop widgets in the Ruby language.
 .
 This is part of the Korundum module.

Package: ruby-soprano
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Provides: libsoprano-ruby, libsoprano-ruby1.8
Replaces: libsoprano-ruby (<< 4:4.6.80), libsoprano-ruby1.8 (<< 4:4.6.80)
Breaks: libsoprano-ruby (<< 4:4.6.80), libsoprano-ruby1.8 (<< 4:4.6.80)
Description: Soprano Ruby bindings
 This package allows you to create applications that use the Soprano RDF
 storage, parsing and serialization framework in the Ruby language.
 .
 This is part of the Korundum module.

#Transitional packages: http://wiki.debian.org/Teams/Ruby/RubyInWheezy
Package: korundum4
Architecture: all
Depends: ${misc:Depends}, korundum
Description: transitional package for korundum
 This is a transitional package to ease upgrades to the korundum package.
 It can safely be removed.

Package: libakonadi-ruby
Architecture: all
Depends: ${misc:Depends}, ruby-akonadi
Description: transitional package for ruby-akonadi
 This is a transitional package to ease upgrades to the ruby-akonadi package.
 It can safely be removed.

Package: libakonadi-ruby1.8
Architecture: all
Depends: ${misc:Depends}, ruby-akonadi
Description: transitional package for ruby-akonadi
 This is a transitional package to ease upgrades to the ruby-akonadi package.
 It can safely be removed.

Package: libkde4-ruby
Architecture: all
Depends: ${misc:Depends}, ruby-kde4
Description: transitional package for ruby-kde4
 This is a transitional package to ease upgrades to the ruby-kde4 package.
 It can safely be removed.

Package: libkde4-ruby1.8
Architecture: all
Depends: ${misc:Depends}, ruby-kde4
Description: transitional package for ruby-kde4
 This is a transitional package to ease upgrades to the ruby-kde4 package.
 It can safely be removed.

Package: libokular-ruby
Architecture: all
Depends: ${misc:Depends}, ruby-okular
Description: transitional package for ruby-okular
 This is a transitional package to ease upgrades to the ruby-okular package.
 It can safely be removed.

Package: libokular-ruby1.8
Architecture: all
Depends: ${misc:Depends}, ruby-okular
Description: transitional package for ruby-okular
 This is a transitional package to ease upgrades to the ruby-okular package.
 It can safely be removed.

Package: libplasma-ruby
Architecture: all
Depends: ${misc:Depends}, ruby-plasma
Description: transitional package for ruby-plasma
 This is a transitional package to ease upgrades to the ruby-plasma package.
 It can safely be removed.

Package: libplasma-ruby1.8
Architecture: all
Depends: ${misc:Depends}, ruby-plasma
Description: transitional package for ruby-plasma
 This is a transitional package to ease upgrades to the ruby-plasma package.
 It can safely be removed.

Package: libsoprano-ruby
Architecture: all
Depends: ${misc:Depends}, ruby-soprano
Description: transitional package for ruby-soprano
 This is a transitional package to ease upgrades to the ruby-soprano package.
 It can safely be removed.

Package: libsoprano-ruby1.8
Architecture: all
Depends: ${misc:Depends}, ruby-soprano
Description: transitional package for ruby-soprano
 This is a transitional package to ease upgrades to the ruby-soprano package.
 It can safely be removed.

## korundum 4.7.3

=== debian/changelog ===
korundum (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muskovac ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:33:34 -0500

korundum (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 08 Sep 2011 10:21:21 -0400

korundum (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Drop ruby-kate, since libsmokekate is no longer in the archive due to an
    unstable interface.  Fix kate test to check for kate_smoke.h, which is
    included but missing, rather than kate/plugin.h, which isn't included by
    anything here (LP: #829466).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Aug 2011 17:34:09 +0100

korundum (4:4.7.0-0ubuntu1) oneiric; urgency=low

  [ Philip Muškovac ]
  * New upstream release 
  * Add build-dep on kate-dev to build kate bindings
  * Add ruby-kate package

  [ Felix Geyer ]
  * Fix lintian warning nested-examples-directory.
  * Add license of tools/rbkconfig_compiler/kcfg.xsd to debian/copyright.

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 04 Aug 2011 22:56:07 +0200

korundum (4:4.6.95-1) UNRELEASED; urgency=low

  [ David Palacio ]
  * Source package `kdebindings` split.
  * Follow package naming guidelines for Ruby in Wheeze.
  * Add inter-module dependencies.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 17 Jun 2011 22:01:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: korundum
 Section: ruby
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.10), cmake, ruby1.8, ruby1.8-dev,
- smoke-dev-tools (>= 4:4.7.1), libsmokeqt4-dev (>= 4:4.7.1),
- libsmokekde-dev (>= 4:4.7.1), libqtruby4shared-dev (>= 4:4.7.1),
+Build-Depends: debhelper (>= 7.4.10), cmake, kde-sc-dev-latest (>= 4:4.7.3),
+ ruby1.8, ruby1.8-dev,
+ smoke-dev-tools, libsmokeqt4-dev, libsmokekde-dev, libqtruby4shared-dev,
  kdelibs5-dev, kdepimlibs5-dev, libakonadi-dev, okular-dev, libsoprano-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/korundum.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
 
 Package: korundum
 Architecture: all
@@ -57,7 +58,7 @@
 
 Package: ruby-akonadi
 Architecture: any
-Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
 Provides: libakonadi-ruby, libakonadi-ruby1.8
 Replaces: libakonadi-ruby (<< 4:4.6.80), libakonadi-ruby1.8 (<< 4:4.6.80)
 Breaks: libakonadi-ruby (<< 4:4.6.80), libakonadi-ruby1.8 (<< 4:4.6.80)
@@ -69,7 +70,7 @@
 
 Package: ruby-okular
 Architecture: any
-Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
 Provides: libokular-ruby, libokular-ruby1.8
 Replaces: libokular-ruby (<< 4:4.6.80), libokular-ruby1.8 (<< 4:4.6.80)
 Breaks: libokular-ruby (<< 4:4.6.80), libokular-ruby1.8 (<< 4:4.6.80)
@@ -80,7 +81,7 @@
 
 Package: ruby-plasma
 Architecture: any
-Depends: ruby-kde4 (= ${binary:Version}), ruby-qt4, ruby-qt4-webkit, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-kde4, ruby-qt4, ruby-qt4-webkit, ${shlibs:Depends}, ${misc:Depends}
 Provides: libplasma-ruby, libplasma-ruby1.8
 Replaces: libplasma-ruby (<< 4:4.6.80), libplasma-ruby1.8 (<< 4:4.6.80)
 Breaks: libplasma-ruby (<< 4:4.6.80), libplasma-ruby1.8 (<< 4:4.6.80)

=== debian/rules ===
#! /usr/bin/make -f

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=ruby-kde4-dbg

#Always use Ruby 1.8.x. SmokeAkonadi is not being built.
override_dh_auto_configure:
	dh_auto_configure -- -DRUBY_EXECUTABLE=/usr/bin/ruby1.8

#Build-Depend on debhelper (>= 7.4.10) for --parallel
%:
	dh $@ --parallel

## korundum 4.8.2

=== debian/changelog ===
korundum (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 Apr 2012 19:05:56 +0200

korundum (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:39:59 +0100

korundum (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:32 +0000

korundum (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 17:38:01 +0000

korundum (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:46:18 +0100

korundum (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 20:56:00 +0000

korundum (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Nov 2011 22:34:50 +0000

korundum (4:4.7.3-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release

 -- Philip Muskovac <yofel@kubuntu.org>  Wed, 02 Nov 2011 19:50:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.10), cmake, kde-sc-dev-latest (>= 4:4.7.3),
- ruby1.8, ruby1.8-dev,
- smoke-dev-tools, libsmokeqt4-dev, libsmokekde-dev, libqtruby4shared-dev,
- kdelibs5-dev, kdepimlibs5-dev, libakonadi-dev, okular-dev, libsoprano-dev
+Build-Depends: debhelper (>= 7.4.10), cmake, ruby1.8, ruby1.8-dev,
+ smoke-dev-tools (>= 4:4.8.1), libsmokeqt4-dev (>= 4:4.8.1),
+ libsmokekde-dev (>= 4:4.8.1), libqtruby4shared-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), libakonadi-dev, okular-dev, libsoprano-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
+X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/korundum.git
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary
 
 Package: korundum
 Architecture: all
@@ -58,7 +60,7 @@
 
 Package: ruby-akonadi
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: libakonadi-ruby, libakonadi-ruby1.8
 Replaces: libakonadi-ruby (<< 4:4.6.80), libakonadi-ruby1.8 (<< 4:4.6.80)
 Breaks: libakonadi-ruby (<< 4:4.6.80), libakonadi-ruby1.8 (<< 4:4.6.80)
@@ -70,7 +72,7 @@
 
 Package: ruby-okular
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: libokular-ruby, libokular-ruby1.8
 Replaces: libokular-ruby (<< 4:4.6.80), libokular-ruby1.8 (<< 4:4.6.80)
 Breaks: libokular-ruby (<< 4:4.6.80), libokular-ruby1.8 (<< 4:4.6.80)
@@ -81,7 +83,7 @@
 
 Package: ruby-plasma
 Architecture: any
-Depends: ruby-kde4, ruby-qt4, ruby-qt4-webkit, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-kde4 (= ${binary:Version}), ruby-qt4, ruby-qt4-webkit, ${shlibs:Depends}, ${misc:Depends}
 Provides: libplasma-ruby, libplasma-ruby1.8
 Replaces: libplasma-ruby (<< 4:4.6.80), libplasma-ruby1.8 (<< 4:4.6.80)
 Breaks: libplasma-ruby (<< 4:4.6.80), libplasma-ruby1.8 (<< 4:4.6.80)

## korundum 4.8.4

=== debian/changelog ===
korundum (4:4.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 02 Mar 2012 15:31:10 -0500

korundum (4:4.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper build dependency to >= 9, and compat to 9.
  * Do not manually export CXXFLAGS and LDFLAGS now, since compat v9 does
    that already.
  * Update copyright:
    - switch to copyright-format v1.0
    - bump year for myself for the current one
  * Set section oldlibs and priority extra for all the transitional packages.
  * Bump the smoke-dev-tools, libsmokeqt4-dev, libsmokekde-dev, and
    libqtruby4shared-dev build dependencies to >= 4:4.7.4.

 -- Pino Toscano <pino@debian.org>  Thu, 05 Apr 2012 18:16:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: korundum
 Section: ruby
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.10), cmake, ruby1.8, ruby1.8-dev,
- smoke-dev-tools (>= 4:4.8.1), libsmokeqt4-dev (>= 4:4.8.1),
- libsmokekde-dev (>= 4:4.8.1), libqtruby4shared-dev (>= 4:4.8.1),
- kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), libakonadi-dev, okular-dev, libsoprano-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), cmake, ruby1.8, ruby1.8-dev,
+ smoke-dev-tools (>= 4:4.8.4), libsmokeqt4-dev (>= 4:4.8.4),
+ libsmokekde-dev (>= 4:4.8.4), libqtruby4shared-dev (>= 4:4.8.4),
+ kdelibs5-dev, kdepimlibs5-dev, libakonadi-dev, okular-dev, libsoprano-dev
+Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
-X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/korundum.git
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary
+Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/korundum.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary
 
 Package: korundum
 Architecture: all
@@ -107,6 +104,8 @@
 #Transitional packages: http://wiki.debian.org/Teams/Ruby/RubyInWheezy
 Package: korundum4
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, korundum
 Description: transitional package for korundum
  This is a transitional package to ease upgrades to the korundum package.
@@ -114,6 +113,8 @@
 
 Package: libakonadi-ruby
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-akonadi
 Description: transitional package for ruby-akonadi
  This is a transitional package to ease upgrades to the ruby-akonadi package.
@@ -121,6 +122,8 @@
 
 Package: libakonadi-ruby1.8
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-akonadi
 Description: transitional package for ruby-akonadi
  This is a transitional package to ease upgrades to the ruby-akonadi package.
@@ -128,6 +131,8 @@
 
 Package: libkde4-ruby
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-kde4
 Description: transitional package for ruby-kde4
  This is a transitional package to ease upgrades to the ruby-kde4 package.
@@ -135,6 +140,8 @@
 
 Package: libkde4-ruby1.8
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-kde4
 Description: transitional package for ruby-kde4
  This is a transitional package to ease upgrades to the ruby-kde4 package.
@@ -142,6 +149,8 @@
 
 Package: libokular-ruby
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-okular
 Description: transitional package for ruby-okular
  This is a transitional package to ease upgrades to the ruby-okular package.
@@ -149,6 +158,8 @@
 
 Package: libokular-ruby1.8
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-okular
 Description: transitional package for ruby-okular
  This is a transitional package to ease upgrades to the ruby-okular package.
@@ -156,6 +167,8 @@
 
 Package: libplasma-ruby
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-plasma
 Description: transitional package for ruby-plasma
  This is a transitional package to ease upgrades to the ruby-plasma package.
@@ -163,6 +176,8 @@
 
 Package: libplasma-ruby1.8
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-plasma
 Description: transitional package for ruby-plasma
  This is a transitional package to ease upgrades to the ruby-plasma package.
@@ -170,6 +185,8 @@
 
 Package: libsoprano-ruby
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-soprano
 Description: transitional package for ruby-soprano
  This is a transitional package to ease upgrades to the ruby-soprano package.
@@ -177,6 +194,8 @@
 
 Package: libsoprano-ruby1.8
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-soprano
 Description: transitional package for ruby-soprano
  This is a transitional package to ease upgrades to the ruby-soprano package.

=== debian/rules ===
#! /usr/bin/make -f

#Always use Ruby 1.8.x
RUBY_SITEARCH := $(shell ruby1.8 -rrbconfig -e 'puts Config::CONFIG["sitearch"]')
CMAKE_FLAGS := \
  -DRUBY_EXECUTABLE=/usr/bin/ruby1.8 \
  -DCUSTOM_RUBY_SITE_LIB_DIR=/usr/lib/ruby/1.8/ \
  -DCUSTOM_RUBY_SITE_ARCH_DIR=/usr/lib/ruby/1.8/$(RUBY_SITEARCH) \
  $(NULL)

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=ruby-kde4-dbg

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_compress:
	dh_compress -X.rb -X.ui -X.rc

%:
	dh $@ --parallel

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/korundum-([\d\.]+)\.tar\.bz2

## korundum 4.9.2

=== debian/changelog ===
korundum (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 01:22:57 -0400

korundum (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:31:04 +0100

korundum (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:36:08 +0530

korundum (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:29:52 +0100

korundum (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:35:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: korundum
 Section: ruby
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), cmake, ruby1.8, ruby1.8-dev,
- smoke-dev-tools (>= 4:4.8.4), libsmokeqt4-dev (>= 4:4.8.4),
- libsmokekde-dev (>= 4:4.8.4), libqtruby4shared-dev (>= 4:4.8.4),
- kdelibs5-dev, kdepimlibs5-dev, libakonadi-dev, okular-dev, libsoprano-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.4.10), cmake, ruby1.8, ruby1.8-dev,
+ smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
+ libsmokekde-dev (>= 4:4.9.2), libqtruby4shared-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2), libakonadi-dev (>= 1.8.0), okular-dev (>= 4:4.9.2), libsoprano-dev
+Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/korundum.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
+X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/korundum.git
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/korundum.git;a=summary
 
 Package: korundum
 Architecture: all
@@ -104,8 +107,6 @@
 #Transitional packages: http://wiki.debian.org/Teams/Ruby/RubyInWheezy
 Package: korundum4
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, korundum
 Description: transitional package for korundum
  This is a transitional package to ease upgrades to the korundum package.
@@ -113,8 +114,6 @@
 
 Package: libakonadi-ruby
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-akonadi
 Description: transitional package for ruby-akonadi
  This is a transitional package to ease upgrades to the ruby-akonadi package.
@@ -122,8 +121,6 @@
 
 Package: libakonadi-ruby1.8
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-akonadi
 Description: transitional package for ruby-akonadi
  This is a transitional package to ease upgrades to the ruby-akonadi package.
@@ -131,8 +128,6 @@
 
 Package: libkde4-ruby
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-kde4
 Description: transitional package for ruby-kde4
  This is a transitional package to ease upgrades to the ruby-kde4 package.
@@ -140,8 +135,6 @@
 
 Package: libkde4-ruby1.8
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-kde4
 Description: transitional package for ruby-kde4
  This is a transitional package to ease upgrades to the ruby-kde4 package.
@@ -149,8 +142,6 @@
 
 Package: libokular-ruby
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-okular
 Description: transitional package for ruby-okular
  This is a transitional package to ease upgrades to the ruby-okular package.
@@ -158,8 +149,6 @@
 
 Package: libokular-ruby1.8
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-okular
 Description: transitional package for ruby-okular
  This is a transitional package to ease upgrades to the ruby-okular package.
@@ -167,8 +156,6 @@
 
 Package: libplasma-ruby
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-plasma
 Description: transitional package for ruby-plasma
  This is a transitional package to ease upgrades to the ruby-plasma package.
@@ -176,8 +163,6 @@
 
 Package: libplasma-ruby1.8
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-plasma
 Description: transitional package for ruby-plasma
  This is a transitional package to ease upgrades to the ruby-plasma package.
@@ -185,8 +170,6 @@
 
 Package: libsoprano-ruby
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-soprano
 Description: transitional package for ruby-soprano
  This is a transitional package to ease upgrades to the ruby-soprano package.
@@ -194,8 +177,6 @@
 
 Package: libsoprano-ruby1.8
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-soprano
 Description: transitional package for ruby-soprano
  This is a transitional package to ease upgrades to the ruby-soprano package.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
   -DCUSTOM_RUBY_SITE_LIB_DIR=/usr/lib/ruby/1.8/ \
   -DCUSTOM_RUBY_SITE_ARCH_DIR=/usr/lib/ruby/1.8/$(RUBY_SITEARCH) \
   $(NULL)
+
+export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 override_dh_install:
 	dh_install --list-missing
@@ -20,6 +23,7 @@
 override_dh_compress:
 	dh_compress -X.rb -X.ui -X.rc
 
+#Build-Depend on debhelper (>= 7.4.10) for --parallel
 %:
 	dh $@ --parallel

## korundum 4.10.0

=== debian/changelog ===
korundum (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:00:33 +0000

korundum (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:48:44 +0000

korundum (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:40:27 +0100

korundum (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:36:49 +0000

korundum (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:02:41 +0000

korundum (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:02:09 +0000

korundum (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:39:31 +0100

korundum (4:4.7.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Philip Muskovac <yofel@kubuntu.org>  Wed, 02 Nov 2011 19:50:57 +0100

korundum (4:4.6.95-1) raring; urgency=low

  [ David Palacio ]
  * Source package `kdebindings` split.
  * Follow package naming guidelines for Ruby in Wheeze.
  * Add inter-module dependencies.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 17 Jun 2011 22:01:09 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.4.10), cmake, ruby1.8, ruby1.8-dev,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
  libsmokekde-dev (>= 4:4.9.2), libqtruby4shared-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2), libakonadi-dev (>= 1.8.0), okular-dev (>= 4:4.9.2), libsoprano-dev
+ kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0), libakonadi-dev (>= 1.8.0), okular-dev (>= 4:4.9.2), libsoprano-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum

## korundum 4.10.2

=== debian/changelog ===
korundum (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:54:21 +0200

korundum (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:35:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.4.10), cmake, ruby1.8, ruby1.8-dev,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
  libsmokekde-dev (>= 4:4.9.2), libqtruby4shared-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0), libakonadi-dev (>= 1.8.0), okular-dev (>= 4:4.9.2), libsoprano-dev
+ kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2), libakonadi-dev (>= 1.8.0), okular-dev (>= 4:4.9.2), libsoprano-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum

## korundum 4.10.5

=== debian/changelog ===
korundum (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:44:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.4.10), cmake, ruby1.8, ruby1.8-dev,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
  libsmokekde-dev (>= 4:4.9.2), libqtruby4shared-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2), libakonadi-dev (>= 1.8.0), okular-dev (>= 4:4.9.2), libsoprano-dev
+ kdelibs5-dev (>= 4:4.10.5), kdepimlibs5-dev (>= 4:4.10.5), libakonadi-dev (>= 1.8.0), okular-dev (>= 4:4.9.2), libsoprano-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/korundum
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/korundum
